Subject: [ifmib] Appropriate MTU value on lo, ipip or other tunnel intefaces

From: Mike MacFaden <[email-masked]>
Date: Fri, 20 Apr 2001 00:01:18 -0700

>Would anyone show me the place on archive since 
>the address in ietf ifmib task group is invalid ? 

See section 4. Working Group Termination
of http://www.ietf.org/rfc/rfc2418.txt
I suspect the working group is not "invalid" but in a dormant state since
it has proposed standard documents
http://www.ietf.org/html.charters/ifmib-charter.html

> 1. on the rfc2863, 
>" ifMtu 
> DESCRIPTION 
> "The size of the largest packet which can be sent/received 
> on the interface, specified in octets. For interfaces that 
[snip]
> On the some logical tunnel interface such as lo, ipip or gre, we 
>can assume the mtu is unlimited. True ? 

In theory, sure.  In practice, even logical interfaces will often be limited as 
well from what I've seen in existing implementations.

> But the type of ifMTU is Integer32, if you set it 
>as maximun value 
>4,294,967.265 ( 2**32 -1). It turned out to be -1 for Integer32. I start 
>thinking  whether this makes sense since nobody 
>will send this PDU this big in the interface will you ? 

ifMTU is more like an abstract object. Based on the ifType
you need to look at the "specific implementation guidelines"
which refine the definition for such objects in a 
technology specific MIB module which will be found under
the oid transmission.ifType-value. 

For instance, see RFC 2665's refinement of ifMtu in section
3.2.7.  Specific Interface MIB Objects as an example.

Regards,
Mike

_______________________________________________
ifmib mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/ifmib